package cn.iocoder.yudao.module.basic.api.businessinfo.dto;

import lombok.Data;

@Data
public class BusinessInfoRespDTO {
    /**
     * 编码
     */
    private Long id;
    /**
     * 商户名称
     */
    private String businessName;
    /**
     * 企业名称
     */
    private String companiesName;
    /**
     * 商户code
     */
    private String businessId;
    /**
     * 所属行政区,例如福建省/福州市/鼓楼区
     */
    private String area;
    /**
     * 商户统一信用代码
     */
    private String businessCode;
    /**
     * 法人姓名
     */
    private String legalName;
    /**
     * 法人身份证
     */
    private String legalIdCard;
    /**
     * 备注
     */
    private String remarks;
    /**
     * 认证状态
     *
     */
    private Byte verifyState;

}
