package cn.iocoder.yudao.module.basic.api.dealerinfo.dto;

import lombok.Data;

/**
 * InputsInfo 经销商 Response DTO
 *
 * @author 芋道源码
 */
@Data
public class DealerInfoRespDTO {
    /**
     * 编码
     */
    private Long id;
    /**
     * 经销商名称
     */
    private String dealerName;
    /**
     * 经销商编码id
     */
    private String dealerId;
    /**
     * 所属商户id
     */
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    private String belongBusinessName;
    /**
     * 统一信用代码
     */
    private String businessCode;
    /**
     * 联系电话
     */
    private String contactPhone;
    /**
     * 联系人姓名
     */
    private String contactName;
    /**
     * 本部经销区域,例如福建省/福州市/鼓楼区
     */
    private String commonSaleArea;
    /**
     * 经销区域ID
     */
    private Long commonSaleAreaId;
    /**
     * 备注
     */
    private String remarks;
}
