package cn.iocoder.yudao.module.basic.api.redis.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @ClassName DealerInfoDTO
 * @Description TODO
 * @Author q5932
 * @Date 2023/5/6 10:30
 * @Version 1.0
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DealerInfoDTO {
    /**
     * 编码
     */
    @ApiModelProperty(value = "主键id")
    private Long id;
    /**
     * 经销商名称
     */
    @ApiModelProperty(value = "经销商名称")
    private String dealerName;
    /**
     * 经销商编码id
     */
    @ApiModelProperty(value = "经销商编码")
    private String dealerId;
    /**
     * 所属商户id
     */
    @ApiModelProperty(value = "所属商户id")
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    @ApiModelProperty(value = "所属商户名称")
    private String belongBusinessName;
    /**
     * 统一信用代码
     */
    @ApiModelProperty(value = "统一信用代码")
    private String businessCode;
    /**
     * 联系电话
     */
    @ApiModelProperty(value = "联系电话")
    private String contactPhone;
    /**
     * 联系人姓名
     */
    @ApiModelProperty(value = "联系人姓名")
    private String contactName;
    /**
     * 本部经销区域,例如福建省/福州市/鼓楼区
     */
    @ApiModelProperty(value = "本部经销区域")
    private String commonSaleArea;
    /**
     * 经销区域ID
     */
    @ApiModelProperty(value = "经销区域ID")
    private Long commonSaleAreaId;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remarks;

}
