package cn.iocoder.yudao.module.basic.controller.admin.businessinfo.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

@ApiModel("管理后台 - 商户分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BusinessInfoPageReqVO extends PageParam {

    @ApiModelProperty(value = "商户名称")
    private String businessName;

    @ApiModelProperty(value = "认证状态", example = "0")
    private String verifyState;
}
