package cn.iocoder.yudao.module.basic.controller.admin.dealergoods.vo;

import cn.iocoder.yudao.module.basic.controller.admin.dealerinfo.vo.DealerInfoCreateReqVO;
import cn.iocoder.yudao.module.basic.controller.admin.dealerinfo.vo.DealerInfoUpdateReqVO;
import cn.iocoder.yudao.module.basic.dal.dataobject.dealergoods.DealerGoodsDO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.util.Collection;
import java.util.List;

/**
 * @ClassName DealerAearGoodsVO
 * @Description TODO
 * @Author q5932
 * @Date 2023/4/17 16:03
 * @Version 1.0
 **/
@Data
public class DealerAearGoodsUpdateVO {
    @ApiModelProperty(value = "经销商信息", required = true)
    @NotNull(message = "经销商信息不能为空")
    private DealerInfoUpdateReqVO dealerInfo;
    @ApiModelProperty(value = "新增经销商地区商品信息")
    private List<DealerGoodsDO> areaGoodsList;
    @ApiModelProperty(value = "经销商地区更新商品信息")
    private List<DealerGoodsDO> areaGoodsUpdateList;

}
