package cn.iocoder.yudao.module.basic.controller.admin.dealerinfo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 经销商下拉Vo
 */
@Data
public class DealerInfoPullVO {


    @ApiModelProperty(value = "经销商名称", required = true)
    @NotNull(message = "经销商名称不能为空")
    private String dealerName;

    @ApiModelProperty(value = "经销商编码id", required = true)
    @NotNull(message = "经销商编码id不能为空")
    private String dealerId;
}
