package cn.iocoder.yudao.module.basic.controller.admin.goodsinfo.vo;

import lombok.*;
import io.swagger.annotations.*;

import java.util.Date;

@ApiModel("管理后台 - 商品 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class GoodsInfoRespVO extends GoodsInfoBaseVO {

    @ApiModelProperty(value = " 编码", required = true)
    private Long id;

    @ApiModelProperty(value = "商品规格")
    private String goodsSpecs;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "商品单位名称")
    private String goodsUnitName;

}
