package cn.iocoder.yudao.module.basic.dal.dataobject.unit;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 商品 DO
 *
 * @author 芋道源码
 */
@TableName("basic_unit")
@KeySequence("basic_unit_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UnitDO extends BaseDO {

    /**
     *  编码
     */
    @TableId
    private Long id;
    /**
     * 单位名称
     */
    private String unitName;

}
