package cn.iocoder.yudao.module.chain.controller.admin.operatedetail.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 区块上链操作具体上链信息 Excel VO
 *
 * @author 芋道源码
 */
@Data
public class OperateDetailExcelVO {

    @ExcelProperty("编码")
    private Long id;

    @ExcelProperty("上链操作专属ID")
    private String chainOperateId;

    @ExcelProperty("内容标题")
    private String title;

    @ExcelProperty("内容类型，详见字典")
    private Integer type;

    @ExcelProperty("详细内容，如图片视频url地址、文本、文件链接等")
    private String content;

    @ExcelProperty("环节名称or批次类型")
    private String operateInfo;

    @ExcelProperty("添加时间")
    private Date addTime;

    @ExcelProperty("所属商户id")
    private Long belongBusinessId;

    @ExcelProperty("所属商户名称")
    private String belongBusinessName;

    @ExcelProperty("创建时间")
    private Date createTime;

}
