package cn.iocoder.yudao.module.configure.api.deviceenvtype.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@ApiModel("管理后台 - 环境类型配置 Request VO")
@Data
public class DeviceEnvTypeRespDTO {

    @ApiModelProperty(value = "地块/鱼塘/牧场编码")
    private Long id;

    @ApiModelProperty(value = "地块/鱼塘/牧场编码")
    private String landId;

    @ApiModelProperty(value = "传感器对应的环境类型，关联product_env_type表的ID")
    private Long envTypeId;

}
