package cn.iocoder.yudao.module.configure.controller.admin.deviceenvtype.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 小程序设备环境类型配置 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class DeviceEnvTypeBaseVO {

    @ApiModelProperty(value = "地块/鱼塘/牧场编码", required = true)
    @NotNull(message = "地块/鱼塘/牧场编码不能为空")
    private String landId;

    @ApiModelProperty(value = "传感器对应的环境类型，关联product_env_type表的ID", required = true)
    @NotNull(message = "传感器对应的环境类型，关联product_env_type表的ID不能为空")
    private Long envTypeId;

}
