package cn.iocoder.yudao.module.configure.controller.admin.inspectionitem.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 检测报告模板检测项目 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class InspectionItemBaseVO {

    @ApiModelProperty(value = "模板id", required = true)
    @NotNull(message = "模板id不能为空")
    private String templateId;

    @ApiModelProperty(value = "模板名称", required = true)
    @NotNull(message = "模板名称不能为空")
    private String templateName;

    @ApiModelProperty(value = "检测项目", required = true)
    @NotNull(message = "检测项目不能为空")
    private String inspectionItem;

    @ApiModelProperty(value = "检测项目id", required = true)
    @NotNull(message = "检测项目id不能为空")
    private String inspectionItemId;

    @ApiModelProperty(value = "检测项目单位", required = true)
    @NotNull(message = "检测项目单位不能为空")
    private String inspectionUnit;

    @ApiModelProperty(value = "检测项目技术要求", required = true)
    @NotNull(message = "检测项目技术要求不能为空")
    private String inspectionRequire;

    @ApiModelProperty(value = "所属商户id", required = true)
    @NotNull(message = "所属商户id不能为空")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称", required = true)
    @NotNull(message = "所属商户名称不能为空")
    private String belongBusinessName;

}
