package cn.iocoder.yudao.module.configure.controller.admin.inspectiontemplate.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 检测报告模板 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class InspectionTemplateBaseVO {

    @ApiModelProperty(value = "检测报告模板名称", required = true)
    @NotNull(message = "检测报告模板名称不能为空")
    private String templateName;

    @ApiModelProperty(value = "模板id", required = true)
    @NotNull(message = "模板id不能为空")
    private String templateId;

    @ApiModelProperty(value = "所属商户id", required = true)
    @NotNull(message = "所属商户id不能为空")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称", required = true)
    @NotNull(message = "所属商户名称不能为空")
    private String belongBusinessName;

}
