package cn.iocoder.yudao.module.configure.controller.admin.inspectiontemplate.vo;

import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

@ApiModel("管理后台 - 检测报告模板分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class InspectionTemplatePageReqVO extends PageParam {

    @ApiModelProperty(value = "检测报告模板名称")
    private String templateName;

    @ApiModelProperty(value = "模板id")
    private String templateId;

    @ApiModelProperty(value = "所属商户id")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称")
    private String belongBusinessName;

    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date[] createTime;

}
