package cn.iocoder.yudao.module.configure.controller.admin.tracelinkitem.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 溯源模板环节item Excel VO
 *
 * @author 芋道源码
 */
@Data
public class TraceLinkItemExcelVO {

    @ExcelProperty("编号")
    private Long id;

    @ExcelProperty("内容标题")
    private String title;

    @ExcelProperty("内容类型，详见字典")
    private Integer type;

    @ExcelProperty("详细内容，如图片视频url地址、文本、文件链接等")
    private String content;

    @ExcelProperty("添加时间")
    private Date addTime;

    @ExcelProperty("环节名称")
    private String linkName;

    @ExcelProperty("环节id")
    private String linkId;

    @ExcelProperty("所属商户id")
    private Long belongBusinessId;

    @ExcelProperty("所属商户名称")
    private String belongBusinessName;

    @ExcelProperty("创建时间")
    private Date createTime;

}
