package cn.iocoder.yudao.module.configure.controller.admin.tracelinkitem.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

@ApiModel("管理后台 - 溯源模板环节item更新 Request VO")
@Data
public class TraceLinkItemSaveReqVO {

    @ApiModelProperty(value = "ID")
    private Long id;

    @ApiModelProperty(value = "内容标题")
    private String title;

    @ApiModelProperty(value = "内容类型，详见字典")
    @NotNull(message = "内容类型不能为空")
    private Integer type;

    @ApiModelProperty(value = "详细内容，如图片视频url地址、文本、文件链接等")
    private String content;

    @ApiModelProperty(value = "url链接")
    private String linkText;

}
