package cn.iocoder.yudao.module.configure.dal.mysql.unitemplate;

import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.configure.controller.admin.unitemplate.vo.UniTemplatePageReqVO;
import cn.iocoder.yudao.module.configure.controller.admin.unitemplate.vo.UniTemplateRespVO;
import cn.iocoder.yudao.module.configure.dal.dataobject.unitemplate.UniTemplateDO;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 小程序模板 Mapper
 *
 * @author 芋道源码
 */
@Mapper
public interface UniTemplateMapper extends BaseMapperX<UniTemplateDO> {

    List<UniTemplateRespVO> selectUniTemplatePage(Page<UniTemplateRespVO> page, @Param("pageReqVO") UniTemplatePageReqVO pageReqVO);

    UniTemplateRespVO getUniTemplateDetail(@Param("id") Long id);

}
