package cn.iocoder.yudao.module.configure.service.tracelinkitem;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.configure.controller.admin.tracelinkitem.vo.TraceLinkItemExportReqVO;
import cn.iocoder.yudao.module.configure.controller.admin.tracelinkitem.vo.TraceLinkItemPageReqVO;
import cn.iocoder.yudao.module.configure.dal.dataobject.tracelinkitem.TraceLinkItemDO;

import java.util.List;

/**
 * 溯源模板环节item Service 接口
 *
 * @author 芋道源码
 */
public interface TraceLinkItemService {

    /**
     * 删除溯源模板环节item
     *
     * @param id 编号
     */
    void deleteTraceLinkItem(Long id);

    /**
     * 获得溯源模板环节item
     *
     * @param id 编号
     * @return 溯源模板环节item
     */
    TraceLinkItemDO getTraceLinkItem(Long id);

    /**
     * 获得溯源模板环节item分页
     *
     * @param pageReqVO 分页查询
     * @return 溯源模板环节item分页
     */
    PageResult<TraceLinkItemDO> getTraceLinkItemPage(TraceLinkItemPageReqVO pageReqVO);

}
