package cn.iocoder.yudao.module.identity.api.scanrecord.dto;

import lombok.Data;

import java.util.Date;

@Data
public class ScanRecordRespDTO {
    /**
     * 生码记录id
     */
    private String generateRecordId;
    /**
     * 二维码url
     */
    private String identityUrl;
    /**
     * 相关批次ID
     */
    private String batchId;
    /**
     * 商品id
     */
    private String goodsId;
    /**
     * 商品名称
     */
    private String goodsName;
    /**
     * 扫码IP
     */
    private String scanIp;
    /**
     * 类型： 0：采收批次
     */
    private Byte batchType;
    /**
     * 扫码地区
     */
    private String scanArea;
    /**
     * 扫码时间
     */
    private Date scanTime;
    /**
     * 扫码地点
     */
    private String scanLocation;
    /**
     * 所属商户id
     */
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    private String belongBusinessName;

    /**
     * 扫码次数
     */
    private Integer scanCount;

    private Long tenantId;
}
