package cn.iocoder.yudao.module.identity.controller.admin.code.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 标识码 Excel VO
 *
 * @author 芋道源码
 */
@Data
public class CodeExcelVO {

//    @ExcelProperty("编码")
//    private Long id;

    @ExcelProperty("生码记录编码")
    private String generateRecordId;

    @ExcelProperty("二维码url地址 ")
    private String identityCode;

//    @ExcelProperty("校验码（明暗码需要）")
//    private String verfiyCode;

    @ExcelProperty("字符长度")
    private Integer charLength;

    @ExcelProperty("字符类型 0纯数字  1纯字母  2混合类型")
    private Integer charType;

    @ExcelProperty("相关批次编码")
    private String batchId;

//    @ExcelProperty("批次类型： 0：采收批次")
//    private Integer batchType;

    @ExcelProperty("商品编码")
    private String goodsId;

    @ExcelProperty("商品名称")
    private String goodsName;

    @ExcelProperty("经销商名称")
    private String dealerName;

    @ExcelProperty("经销商编码")
    private String dealerId;

    @ExcelProperty("所属商户编码")
    private Long belongBusinessId;

    @ExcelProperty("所属商户名称")
    private String belongBusinessName;

    @ExcelProperty("创建时间")
    private Date createTime;

//    @ExcelProperty("扫码次数统计")
//    private Integer scanCount;
//
//    @ExcelProperty("最多可追溯统计次数")
//    private Integer limitCount;
//
//    @ApiModelProperty(value = "状态0：未启动 1：启动", required = true)
//    @NotNull(message = "状态0：未启动 1：启动")
//    private Integer status;

}
