package cn.iocoder.yudao.module.identity.controller.admin.diversionrecord.vo;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.util.Date;

@Data
public class DiversionDealerInfoAndHarvestBatchVO {

    /**
     * 经销商编码id
     */
    private String dealerId;
    /**
     * 经销商名称
     */
    private String dealerName;
    /**
     * 采收批次id
     */
    private String harvestBatchId;
    /**
     * 商品id
     */
    private String goodsId;
    /**
     * 商品名称
     */
    private String goodsName;
    /**
     * 本部经销区域,例如福建省/福州市/鼓楼区
     */
    private String commonSaleArea;
    /**
     * 经销区域ID
     */
    private Long commonSaleAreaId;
    /**
     * 所属商户id
     */
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    private String belongBusinessName;
    /**
     * 联系电话
     */
    private String contactPhone;
    /**
     * 联系人姓名
     */
    private String contactName;
    /**
     * 入库日期
     */
    private Date harvestDate;
}
