package cn.iocoder.yudao.module.identity.controller.app.scanrecord.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotBlank;

@ApiModel("管理后台 - 扫码记录分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ScanRecordAppPageReqVO extends PageParam {

    @ApiModelProperty(value = "二维码编码", required = true)
    @NotBlank(message = "二维码编码不能为空")
    private String identityCode;

}
