package cn.iocoder.yudao.module.product.controller.admin.deviceinfo.vo;

import cn.iocoder.yudao.module.product.controller.admin.slavedevice.vo.SlaveDeviceSaveReqVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.List;

@ApiModel("管理后台 - 设备信息更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DeviceInfoUpdateReqVO extends DeviceInfoSaveReqVO {

    @ApiModelProperty(value = "ID", required = true)
    @NotNull(message = "ID不能为空")
    private Long id;

}
