package cn.iocoder.yudao.module.product.controller.admin.envdata.vo;

import lombok.*;
import io.swagger.annotations.*;

import java.util.Date;

@ApiModel("管理后台 - 环境数据 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class EnvDataRespVO extends EnvDataBaseVO {

    @ApiModelProperty(value = "ID", required = true)
    private Long id;

    @ApiModelProperty(value = "环境类型")
    private String envTypeName;

    @ApiModelProperty(value = "单位")
    private String unit;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "租户ID")
    private Long tenantId;
}
