package cn.iocoder.yudao.module.product.controller.admin.envtype.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 环境类型 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class EnvTypeBaseVO {

    @ApiModelProperty(value = "环境类型名称")
    private String envTypeName;

    @ApiModelProperty(value = "环境类型字段，接收emqx推送数据所监听的字段", required = true)
    @NotNull(message = "环境类型字段，接收emqx推送数据所监听的字段不能为空")
    private String envFieldName;

    @ApiModelProperty(value = "单位", required = true)
    @NotNull(message = "单位")
    private String unit;

    @ApiModelProperty(value = "备注")
    private String remarks;

}
