package cn.iocoder.yudao.module.product.controller.admin.harvestbatch.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import java.util.List;

@Data
public class HarvestBatchConfigRespVO {

    @ApiModelProperty(value = "采收批次编号")
    private String harvestBatchId;

    @ApiModelProperty(value = "所属商户id")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称")
    private String belongBusinessName;

    @ApiModelProperty(value = "商品id")
    private String goodsId;

    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    @ApiModelProperty(value = "模板ID")
    private Long templateId;

    @ApiModelProperty(value = "商户信息")
    private BlockCertificateSaveReqVO businessInfo;

    @ApiModelProperty(value = "商品信息")
    private BlockCertificateSaveReqVO goodsInfo;

    @ApiModelProperty(value = "环节信息")
    @Valid
    private List<BlockCertificateSaveReqVO> linkInfos;

    @ApiModelProperty(value = "农事计划信息")
    private List<FarmingPlantReqVO> farmingPlans;

    @ApiModelProperty(value = "检测报告")
    private List<InspectionSaveReqVO> inspections;
}
