package cn.iocoder.yudao.module.product.controller.admin.harvestbatch.vo;

import cn.iocoder.yudao.module.configure.api.uniTemplate.dto.UniTemplateDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import java.util.List;

@ApiModel("管理后台 - 小程序预览 Request VO")
@Data
public class PreviewRespVO {

    @ApiModelProperty(value = "上链状态")
    private Integer blockState;

    @ApiModelProperty(value = "小程序模板")
    private UniTemplateDTO uniTemplate;

    @ApiModelProperty(value = "商户信息")
    private BlockCertificateSaveReqVO businessInfo;

    @ApiModelProperty(value = "商品信息")
    private BlockCertificateSaveReqVO goodsInfo;

    @ApiModelProperty(value = "环节信息")
    @Valid
    private List<BlockCertificateSaveReqVO> linkInfos;

    @ApiModelProperty(value = "农事计划信息")
    private List<FarmingPlantReqVO> farmingPlans;

    @ApiModelProperty(value = "检测报告")
    private List<InspectionReqVO> inspections;

}
