package cn.iocoder.yudao.module.product.controller.admin.harvestbatchconfig.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
* 采收批次小程序显示配置 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class HarvestBatchConfigBaseVO {

    @ApiModelProperty(value = "采收批次ID", required = true)
    @NotNull(message = "采收批次ID不能为空")
    private String harvestBatchId;

    @ApiModelProperty(value = "语言类型ID", required = true)
    @NotNull(message = "语言类型ID不能为空")
    private Long languageTypeId;

    @ApiModelProperty(value = "模板ID", required = true)
    @NotNull(message = "模板ID不能为空")
    private Long templateId;

}
