package cn.iocoder.yudao.module.product.controller.admin.harvestinfo.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 采收入库 Excel VO
 *
 * @author 芋道源码
 */
@Data
public class HarvestInfoExcelVO {

    @ExcelProperty("编号")
    private Long id;

    @ExcelProperty("入库单号")
    private String harverstId;

    @ExcelProperty("入库时间")
    private Date harverstTime;

    @ExcelProperty("创建时间")
    private Date createTime;

    @ExcelProperty("所属商户id")
    private Long belongBusinessId;

    @ExcelProperty("所属商户名称")
    private String belongBusinessName;

    @ExcelProperty("入库单上链区块唯一识别码")
    private String blockChainBlockIdentity;

    @ExcelProperty("上链状态 0：未上链  1：激活状态  2：冻结状态")
    private Integer blockState;

    @ExcelProperty("入库单上链区块id")
    private String blockChainId;

}
