package cn.iocoder.yudao.module.product.controller.admin.inspectionitem.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 检验-检测项目 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class InspectionItemBaseVO {

    @ApiModelProperty(value = "检测批次id", required = true)
    @NotNull(message = "检测批次id不能为空")
    private String inspectionId;

    @ApiModelProperty(value = "检测项目id", required = true)
    @NotNull(message = "检测项目id不能为空")
    private String inspectionItemId;

    @ApiModelProperty(value = "检测项目", required = true)
    @NotNull(message = "检测项目不能为空")
    private String inspectionItem;

    @ApiModelProperty(value = "单位", required = true)
    @NotNull(message = "单位不能为空")
    private String inspectionUnit;

    @ApiModelProperty(value = "技术要求", required = true)
    @NotNull(message = "技术要求不能为空")
    private String inspectionRequire;

    @ApiModelProperty(value = "检测结果", required = true)
    @NotNull(message = "检测结果不能为空")
    private String inspectionResult;

    @ApiModelProperty(value = "单项结论", required = true)
    @NotNull(message = "单项结论不能为空")
    private String inspectionConclusion;

    @ApiModelProperty(value = "所属商户id", required = true)
    @NotNull(message = "所属商户id不能为空")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称", required = true)
    @NotNull(message = "所属商户名称不能为空")
    private String belongBusinessName;

}
