package cn.iocoder.yudao.module.product.controller.admin.inspectionitem.vo;

import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

@ApiModel("管理后台 - 检验-检测项目分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class InspectionItemPageReqVO extends PageParam {

    @ApiModelProperty(value = "检测批次id")
    private String inspectionId;

    @ApiModelProperty(value = "检测项目id")
    private String inspectionItemId;

    @ApiModelProperty(value = "检测项目")
    private String inspectionItem;

    @ApiModelProperty(value = "单位")
    private String inspectionUnit;

    @ApiModelProperty(value = "技术要求")
    private String inspectionRequire;

    @ApiModelProperty(value = "检测结果")
    private String inspectionResult;

    @ApiModelProperty(value = "单项结论")
    private String inspectionConclusion;

    @ApiModelProperty(value = "所属商户id")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称")
    private String belongBusinessName;

    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date[] createTime;

}
