package cn.iocoder.yudao.module.product.controller.admin.slavedevice.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

@ApiModel("管理后台 - 从(子)设备信息更新 Request VO")
@Data
public class SlaveDeviceSaveReqVO {

    @ApiModelProperty(value = "ID")
    private Long id;

    @ApiModelProperty(value = "设备名称")
    private String deviceName;

    @ApiModelProperty(value = "环境类型")
    @NotNull(message = "环境类型不能为空")
    private Long envType;

}
