package cn.iocoder.yudao.module.basic.controller.admin.businessinfo.vo;

import lombok.*;
import io.swagger.annotations.*;

@ApiModel("管理后台 - 商户 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BusinessInfoRespVO extends BusinessInfoBaseVO {

    @ApiModelProperty(value = "编码", required = true)
    private Long id;

    @ApiModelProperty(value = "商户code", required = true)
    private String businessId;

    @ApiModelProperty(value = "认证状态", example = "0")
    private byte verifyState;

    @ApiModelProperty(value = "法人姓名")
    private String legalName;

    @ApiModelProperty(value = "法人身份证")
    private String legalIdCard;

    @ApiModelProperty(value = "所属行政区,例如福建省/福州市/鼓楼区")
    private String area;
}
