package cn.iocoder.yudao.module.basic.controller.admin.dealergoods.vo;

import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @ClassName DealerGoodsListReqVO
 * @Description TODO
 * @Author q5932
 * @Date 2023/4/18 14:00
 * @Version 1.0
 **/
@Data
@ToString(callSuper = true)
public class DealerGoodsListReqVO {
    @ApiModelProperty(value = "经销商编码")
    private String dealerId;

    @ApiModelProperty(value = "经销商名称")
    private String dealerName;

    @ApiModelProperty(value = "商品编码")
    private String goodsId;

    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    @ApiModelProperty(value = "销售区域")
    private String saleArea;

    @ApiModelProperty(value = "销售区域ID")
    private Long saleAreaId;

    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date[] createTime;

    @ApiModelProperty(value = "所属商户id")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称")
    private String belongBusinessName;

}
