package cn.iocoder.yudao.module.basic.controller.admin.goodsinfo.vo;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 商品品类  VO  三级分类查询
 * 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
 */
@Data
public class GoodsInfoCategoryVo {
    @ApiModelProperty(value = "分类名称", required = true)
    @NotNull(message = "分类名称不能为空")
    private String name;

    @ApiModelProperty(value = "上一级节点Id", required = true)
    @NotNull(message = "上一级节点id不能为空")
    private Boolean pid;

    @ApiModelProperty(value = "上级分类id'", required = true)
    @NotNull(message = "上一级分类id不能为空")
    private String parentIdPath;

    @ApiModelProperty(value = "1|一级分类; 2|二级分类; 3|三级分类", required = true)
    @NotNull(message = "三级分类不能为空")
    private Long level;

    @ApiModelProperty(value = "序列，默认:0", required = true)
    @NotNull(message = "序列不能为空")
    private String sequence;

}
