package cn.iocoder.yudao.module.basic.controller.admin.goodsinfo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("管理后台 - 商品 Response VO (精简版)")
@Data
public class GoodsInfoForTransferRespVO {

    @ApiModelProperty(value = "编码", required = true)
    private Long id;

    @ApiModelProperty(value = "商品名称", required = true)
    private String goodsName;

    @ApiModelProperty(value = "商品编码", required = true)
    private String goodsId;

    @ApiModelProperty(value = "商品规格", required = true)
    private String goodsSpecs;

    @ApiModelProperty(value = "所属商户id", required = true)
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称", required = true)
    private String belongBusinessName;
}
