package cn.iocoder.yudao.module.chain.api.blockcertificate.dto;

import cn.iocoder.yudao.module.chain.api.operatedetail.dto.OperateDetailSaveReqDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotEmpty;
import java.util.Date;
import java.util.List;

@ApiModel("管理后台 - 区块证书创建 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BlockCertificateCreateReqDTO extends BlockCertificateBaseReqDTO {

    @ApiModelProperty(value = "区块上链操作具体上链信息")
    @NotEmpty(message = "区块上链操作具体上链信息不能为空")
    private List<OperateDetailSaveReqDTO> details;
}
