package cn.iocoder.yudao.module.chain;

import cn.iocoder.yudao.framework.security.config.AuthorizeRequestsCustomizer;
import cn.iocoder.yudao.module.system.enums.ApiConstants;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.security.config.annotation.web.builders.HttpSecurity;
import org.springframework.security.config.annotation.web.configurers.ExpressionUrlAuthorizationConfigurer;

@SpringBootApplication
public class ChainServerApplication {
    public static void main(String[] args) {
        SpringApplication.run(ChainServerApplication.class, args);
    }

//    /**
//     * Demo 模块的 Security 配置
//     */
//    @Configuration(proxyBeanMethods = false)
//    public static class SecurityConfiguration {
//
//        @Bean
//        public AuthorizeRequestsCustomizer authorizeRequestsCustomizer() {
//            return new AuthorizeRequestsCustomizer() {
//
//                @Override
//                public void customize(ExpressionUrlAuthorizationConfigurer<HttpSecurity>.ExpressionInterceptUrlRegistry registry) {
//                    // Swagger 接口文档
//                    registry.antMatchers("/swagger-ui.html").anonymous()
//                            .antMatchers("/swagger-resources/**").anonymous()
//                            .antMatchers("/webjars/**").anonymous()
//                            .antMatchers("/*/api-docs").anonymous();
//                    // Druid 监控
//                    registry.antMatchers("/druid/**").anonymous();
//                    // Spring Boot Actuator 的安全配置
//                    registry.antMatchers("/actuator").anonymous()
//                            .antMatchers("/actuator/**").anonymous();
//                    // RPC 服务的安全配置
//                    registry.antMatchers(ApiConstants.PREFIX + "/**").permitAll();
//                }
//
//            };
//        }
//
//    }
}
