package cn.iocoder.yudao.module.configure.api.uniTemplate.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
public class UniTemplateDTO {

    @ApiModelProperty(value = "编号")
    private Long id;

    @ApiModelProperty(value = "是否显示商品详情")
    private Boolean showGoodsDetail;

    @ApiModelProperty(value = "商品详情图标")
    private String goodsDetailIconUrl;

    @ApiModelProperty(value = "是否显示ai")
    private Boolean showAi;

    @ApiModelProperty(value = "ai图标")
    private String aiIconUrl;

    @ApiModelProperty(value = "是否显示商城")
    private Boolean showShop;

    @ApiModelProperty(value = "商城图标")
    private String shopIconUrl;

    @ApiModelProperty(value = "模板名称")
    private String templateName;

    @ApiModelProperty(value = "模板类型: 1)标准模板; 2)定制模板")
    private Integer templateType;

    @ApiModelProperty(value = "背景图片")
    private String bgUrl;

    @ApiModelProperty(value = "背景图宽度")
    private BigDecimal bgWidth;

    @ApiModelProperty(value = "背景图高度")
    private BigDecimal bgHeight;

    @ApiModelProperty(value = "字体颜色 标准模板时有效")
    private String fontColor;

    @ApiModelProperty(value = "是否为默认模板")
    private Boolean defaultTemplate;

    @ApiModelProperty(value = "是否显示扫码弹窗")
    private Boolean showPop;

    @ApiModelProperty(value = "是否显示扫码记录")
    private Boolean showScanRecord;

    @ApiModelProperty(value = "扫码记录图标")
    private String scanRecordIconUrl;

    @ApiModelProperty(value = "显示切换语言")
    private Boolean showChangeLanguage;

    @ApiModelProperty(value = "显示切换语言图标")
    private String changeLanguageIconUrl;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "环节模板列表")
    private List<UniTemplateItemDTO> templateItemList;


}
