package cn.iocoder.yudao.module.configure.controller.admin.inspectiontemplate.vo;

import cn.iocoder.yudao.module.configure.controller.admin.inspectionitem.vo.InspectionItemSaveReqVO;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;

import javax.validation.Valid;
import javax.validation.constraints.*;

@ApiModel("管理后台 - 检测报告模板更新 Request VO")
@Data
public class InspectionTemplateUpdateReqVO {

    @ApiModelProperty(value = "编号", required = true)
    @NotNull(message = "编号不能为空")
    private Long id;

    @ApiModelProperty(value = "检测项目")
    @NotEmpty(message = "检测项目不能为空")
    @Valid
    private List<InspectionItemSaveReqVO> inspectionItems;

}
