package cn.iocoder.yudao.module.configure.controller.admin.materialmanagement.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.*;

@ApiModel("管理后台 - 素材管理更新 Request VO")
@Data
@ToString(callSuper = true)
public class MaterialManagementUpdateReqVO {

    @ApiModelProperty(value = "编号", required = true)
    @NotNull(message = "编号不能为空")
    private Long id;

    @ApiModelProperty(value = "分组id", required = true)
    private Long groupId;

    @ApiModelProperty(value = "素材名称", required = true)
    @Length(max = 64, message = "素材名称不能超过64个字符")
    private String materialName;

    @ApiModelProperty(value = "素材地址", required = true)
    private String materialUrl;

}
