package cn.iocoder.yudao.module.configure.controller.admin.tracelink.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 溯源模板-环节 Excel VO
 *
 * @author 芋道源码
 */
@Data
public class TraceLinkExcelVO {

    @ExcelProperty("编号")
    private Long id;

    @ExcelProperty("模板ID")
    private String traceTemplateId;

    @ExcelProperty("模板名称")
    private String traceTemplateName;

    @ExcelProperty("环节id")
    private String linkId;

    @ExcelProperty("环节名称")
    private String linkName;

    @ExcelProperty("内容类型，详见字典")
    private Integer linkType;

    @ExcelProperty("所属商户id")
    private Long belongBusinessId;

    @ExcelProperty("所属商户名称")
    private String belongBusinessName;

    @ExcelProperty("创建时间")
    private Date createTime;

}
