package cn.iocoder.yudao.module.configure.controller.admin.tracetemplate.vo;

import cn.iocoder.yudao.module.configure.controller.admin.tracelink.vo.TraceLinkSaveReqVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.List;

@ApiModel("管理后台 - 溯源模板环节配置更新 Request VO")
@Data
public class LinkConfigUpdateReqVO {

    @ApiModelProperty(value = "ID", required = true)
    @NotNull(message = "ID不能为空")
    private Long id;

    @ApiModelProperty(value = "环节列表")
    @Valid
    private List<TraceLinkSaveReqVO> Links;

}
