package cn.iocoder.yudao.module.configure.controller.admin.tracetemplate.vo;

import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

@ApiModel("管理后台 - 溯源模板分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class TraceTemplatePageReqVO extends PageParam {

    @ApiModelProperty(value = "模板名称")
    private String templateName;

    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    @ApiModelProperty(value = "所属商户名称")
    private String belongBusinessName;

}
