package cn.iocoder.yudao.module.configure.controller.admin.tracetemplate.vo;

import cn.iocoder.yudao.module.configure.controller.admin.tracelink.vo.TraceLinkRespVO;
import lombok.*;
import io.swagger.annotations.*;

import java.util.Date;
import java.util.List;

@ApiModel("管理后台 - 溯源模板 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class TraceTemplateRespVO extends TraceTemplateBaseVO {

    @ApiModelProperty(value = "编号")
    private Long id;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建者")
    private String creatorName;

    @ApiModelProperty(value = "环节列表")
    private List<TraceLinkRespVO> links;

}
