package cn.iocoder.yudao.module.configure.service.tracelink;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.configure.controller.admin.tracelink.vo.*;
import cn.iocoder.yudao.module.configure.dal.dataobject.tracelink.TraceLinkDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 溯源模板-环节 Service 接口
 *
 * @author 芋道源码
 */
public interface TraceLinkService {

    /**
     * 删除溯源模板-环节
     *
     * @param id 编号
     */
    void deleteTraceLink(Long id);

    /**
     * 获得溯源模板-环节
     *
     * @param id 编号
     * @return 溯源模板-环节
     */
    TraceLinkDO getTraceLink(Long id);

    /**
     * 获得溯源模板-环节分页
     *
     * @param pageReqVO 分页查询
     * @return 溯源模板-环节分页
     */
    PageResult<TraceLinkDO> getTraceLinkPage(TraceLinkPageReqVO pageReqVO);

}
