package cn.iocoder.yudao.module.identity.controller.admin.generaterecord.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 标识码生成记录 Excel VO
 *
 * @author 芋道源码
 */
@Data
public class GenerateRecordExcelVO {

    @ExcelProperty("编码")
    private Long id;

    @ExcelProperty("记录编码")
    private String generateRecordId;

    @ExcelProperty("字符长度")
    private Integer charLength;

    @ExcelProperty("字符类型 0纯数字  1纯字母  2混合类型")
    private Integer charType;

    @ExcelProperty("数量")
    private Integer codeNum;

    @ExcelProperty("操作者")
    private String operateUser;

    @ExcelProperty("操作者id")
    private Long operateUserId;

    @ExcelProperty("状态 0：生成中  1：已生成文字码，未生成图片码  2：文字及图片码均生成")
    private Integer state;

    @ExcelProperty("所属商户id")
    private Long belongBusinessId;

    @ExcelProperty("所属商户名称")
    private String belongBusinessName;

    @ExcelProperty("创建时间")
    private Date createTime;

}
