package cn.iocoder.yudao.module.identity.controller.admin.generaterecord.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotNull;

@ApiModel("管理后台 - 生成码 Request VO")
@Data
@ToString(callSuper = true)
//public class GenerateRecordVO extends GenerateRecordBaseVO{
public class GenerateRecordVO {
    @ApiModelProperty(value = "字符长度", required = true)
    @NotNull(message = "字符长度不能为空")
    private Integer charLength;

    @ApiModelProperty(value = "字符类型 0纯数字  1纯字母  2混合类型", required = true)
    @NotNull(message = "字符类型 0纯数字  1纯字母  2混合类型不能为空")
    private Integer charType;

    @ApiModelProperty(value = "数量", required = true)
    @NotNull(message = "数量不能为空")
    private Integer codeNum;
}
