package cn.iocoder.yudao.module.identity.controller.admin.scanrecord.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 扫码记录 Excel VO
 *
 * @author 芋道源码
 */
@Data
public class ScanRecordExcelVO {

    @ExcelProperty("编码")
    private Long id;

    @ExcelProperty("生码记录id")
    private String generateRecordId;

    @ExcelProperty("二维码url ")
    private String identityUrl;

    @ExcelProperty("相关批次ID")
    private String batchId;

    @ExcelProperty("商品id")
    private String goodsId;

    @ExcelProperty("商品名称")
    private String goodsName;

    @ExcelProperty("扫码IP")
    private String scanIp;

    @ExcelProperty("类型： 0：采收批次")
    private Integer batchType;

    @ExcelProperty("扫码地区")
    private String scanArea;

    @ExcelProperty("扫码时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", timezone="GMT")
    private Date scanTime;

    @ExcelProperty("扫码地点")
    private String scanLocation;

    @ExcelProperty("所属商户id")
    private Long belongBusinessId;

    @ExcelProperty("所属商户名称")
    private String belongBusinessName;

}
