package cn.iocoder.yudao.module.identity.framework.rpc.config;
import cn.iocoder.yudao.module.basic.api.businessinfo.BusinessInfoApi;
import cn.iocoder.yudao.module.basic.api.dealergoods.DealerGoodsApi;
import cn.iocoder.yudao.module.basic.api.dealerinfo.DealerInfoApi;
import cn.iocoder.yudao.module.product.api.harvestbatch.HarvestBatchApi;
import cn.iocoder.yudao.module.system.api.user.AdminUserApi;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.Configuration;

@Configuration(proxyBeanMethods = false)
@EnableFeignClients(clients = {
        BusinessInfoApi.class,
        HarvestBatchApi.class,
        AdminUserApi.class,
        DealerInfoApi.class,
        DealerGoodsApi.class,
})
public class RpcConfiguration {
}
