package cn.iocoder.yudao.module.product.api.harvestbatch.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import java.util.List;

@ApiModel("管理后台 - 小程序预览 Request VO")
@Data
public class ScanDataDTO {

    @ApiModelProperty(value = "小程序模板")
    private UniTemplateDTO uniTemplate;

    @ApiModelProperty(value = "商品信息")
    private BlockCertificateDTO goodsInfo;

    @ApiModelProperty(value = "环节信息")
    @Valid
    private List<BlockCertificateDTO> linkInfos;

    @ApiModelProperty(value = "农事计划信息")
    private List<BlockCertificateDTO> farmingPlans;

    @ApiModelProperty(value = "检测报告")
    private List<BlockCertificateDTO> inspections;

}
