package cn.iocoder.yudao.module.product.controller.admin.deviceinfo.vo;

import cn.iocoder.yudao.module.product.controller.admin.slavedevice.vo.SlaveDeviceRespVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.Valid;
import java.util.Date;
import java.util.List;

@ApiModel("管理后台 - 设备信息 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DeviceInfoRespVO extends DeviceInfoBaseVO {

    @ApiModelProperty(value = "ID", required = true)
    private Long id;

    @ApiModelProperty(value = "地块名称")
    private String landName;

    @ApiModelProperty(value = "环境类型名称")
    private String envTypeName;

    @ApiModelProperty(value = "控制器类型名称")
    private String controllerTypeName;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "从设备")
    @Valid
    private List<SlaveDeviceRespVO> slaveDevices;

}
