package cn.iocoder.yudao.module.product.controller.admin.deviceoperatelog.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 设备操作日志 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class DeviceOperateLogBaseVO {

    @ApiModelProperty(value = "设备信息ID", required = true)
    @NotNull(message = "设备信息ID不能为空")
    private Long deviceInfoId;

    @ApiModelProperty(value = "设备名称")
    private String deviceName;

    @ApiModelProperty(value = "地块/鱼塘/牧场编码", required = true)
    @NotNull(message = "地块/鱼塘/牧场编码不能为空")
    private String landId;

    @ApiModelProperty(value = "操作明细")
    private String operateDetail;

}
