package cn.iocoder.yudao.module.product.controller.admin.envdata.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@ApiModel("管理后台 - 环境数据分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class EnvDataPageReqVO extends PageParam {

    @ApiModelProperty(value = "环境类型")
    private Long envTypeId;

    @ApiModelProperty(value = "所属商户id")
    private Long belongBusinessId;

}
