package cn.iocoder.yudao.module.product.controller.admin.harvestbatch.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.List;

@ApiModel("管理后台 - 环节配置创建 Request VO")
@Data
public class FarmingConfigSaveReqVO {

    @ApiModelProperty(value = "采收批次ID", required = true)
    @NotNull(message = "采收批次ID不能为空")
    private Long id;

    @ApiModelProperty(value = "上链状态 0未上链  1已上链")
    private Integer chainState = 0;

    @ApiModelProperty(value = "农事活动-地块计划集合")
    @Valid
    private List<FarmingPlantSaveReqVO> farmingPlans;

}
