package cn.iocoder.yudao.module.product.controller.admin.harvestbatch.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.List;

@ApiModel("管理后台 - 商品配置创建 Request VO")
@Data
public class GoodsConfigSaveReqVO {

    @ApiModelProperty(value = "采收批次ID", required = true)
    @NotNull(message = "采收批次ID不能为空")
    private Long id;

    @ApiModelProperty(value = "商户信息")
    @NotNull(message = "商户信息不能为空")
    @Valid
    private BlockCertificateSaveReqVO businessInfo;

    @ApiModelProperty(value = "区块证书信息（商品信息）")
    @NotNull(message = "商品信息不能为空")
    @Valid
    private BlockCertificateSaveReqVO goodsInfo;
}
