package cn.iocoder.yudao.module.product.hik.dto;

import lombok.Data;

/**
 * 海康接口请求的设备信息对应的entity类
 *  具体说明参考 /api/resource/v1/cameras/indexCode 的返回值说明
 */
@Data
public class HikDeviceInfoDto {

    private String cameraIndexCode;
    private String altitude;
    private String cameraName;
    private Integer cameraType;
    private String cameraTypeName;
    private String capabilitySet;
    private String capabilitySetName;
    private String channelNo;
    private String channelType;
    private String channelTypeName;
    private String createTime;
    private String encodeDevIndexCode;
    private String encodeDevResourceType;
    private String encodeDevResourceTypeName;
    private String gbIndexCode;
    private String installLocation;
    private String keyBoardCode;
    private String latitude;
    private String longitude;
    private String pixel;
    private String ptz;
    private String ptzName;
    private String ptzController;
    private String ptzControllerName;
    private String recordLocation;
    private String recordLocationName;
    private String regionIndexCode;
    private String status;
    private String statusName;
    private Integer transType;
    private String transTypeName;
    private String treatyType;
    private String treatyTypeName;
    private String viewshed;
    private String updateTime;

}
